--OBSOLET:
--truncate table qa_testcase_result;

--maskentests:
insert into qa_testcase_result(
       testcase_id,
       mask_execution_result_id,
       assertion_def_col_caption,
       execution_start,
       execution_end,
       result_value,
       result_code,
       result_log)
       select 
       C.tid as testcase_id,
       P.tid as mask_execution_result_id,
       nvl(A.caption,'' || result_value_min || '-'|| result_value_max) as assertion_def_col_caption,
       P.execution_start,
       P.execution_end,
       R.result_value,
       R.result_code,
       P.result_log    
FROM qa_mask_execution_result P, qa_mask_execution_assert_result R, qa_mask_execution_assert A, qa_testcase C
where R.mask_execution_result_id=P.tid
and C.mask_execution_id=P.mask_execution_id
and A.tid=R.mask_execution_assert_id
and P.tid not in (select R.mask_execution_result_id
from qa_testcase_result R
where R.mask_execution_result_id is not null)
;

--DB-Tests:
insert into qa_testcase_result(
       testcase_id,
       dbtest_result_id,
       assertion_def_col_caption,
       execution_start,
       execution_end,
       result_value,
       result_code,
       result_log)
       select 
       C.tid as testcase_id,
       P.tid as dbtest_result_id,
       A.def_col_caption,
       P.execution_start,
       P.execution_end,
       P.result_value,
       P.result_code,
       P.result_value    
FROM qa_dbtest_result P, qa_dbtest_assertion A,  qa_testcase C
where C.dbtest_id=A.dbtest_id
and A.tid=P.dbtest_assertion_id
and P.tid not in (
select R.dbtest_result_id from qa_testcase_result R
where R.dbtest_result_id is not null)
;

