begin work;

--welche Maskentests sind noch nicht migriert?
insert into qa_testcase(
       name,
       userinfo_id,
       testcase_type_id,
       is_active,
       systeminfo_id,
       uniquename,
       mask_execution_id,
       dbtest_id,
       testcase_status_id
)
select name,
       userinfo_id,
       1 as testcase_type_id,
       is_active,
       systeminfo_id,
       uniquename,
       E.tid as mask_execution_id,
       null::integer as dbtest_id,
       2 as testcase_status_id --Migration
FROM qa_mask_execution E
where E.tid not in (select mask_execution_id
from qa_testcase
where mask_execution_id is not null)
 ;
 
--Anhängige Tabellen füllen:
insert into qa_testcase2project(
testcase_id,
project_id,
issue_id)
select C.tid,
P.project_id,
P.issue_id
FROM qa_mask_execution2project P,  qa_testcase C
where C.mask_execution_id=P.mask_execution_id
and C.testcase_status_id=2
;

--jetzt dbtests:
insert into qa_testcase(
       name,
       userinfo_id,
       testcase_type_id,
       is_active,
       systeminfo_id,
       uniquename,
       mask_execution_id,
       dbtest_id,
       testcase_status_id
)
select name,
       null::integer as userinfo_id,
       2 as testcase_type_id,
       D.active,
       D.systeminfo_id,
       D.uniquename,
       null::integer  as mask_execution_id,
       D.tid as dbtest_id,
       2 as testcase_status_id --Migration
FROM qa_dbtest D
where D.tid not in (select dbtest_id
from qa_testcase
where dbtest_id is not null)
 ;
 
--Anhängige Tabellen füllen:
insert into qa_testcase2project(
testcase_id,
project_id,
issue_id)
select C.tid,
P.project_id,
P.issue_id
FROM qa_dbtest2project P,  qa_testcase C
where C.dbtest_id=P.dbtest_id
and C.testcase_status_id=2
;


--migriert:
update qa_testcase set testcase_status_id=1
where testcase_status_id=2;


commit;

